package model.dominio;

public class ManagerPartecipa {
  private TipoLinkPartecipa link;

  private ManagerPartecipa(TipoLinkPartecipa link) {
    this.link = link;
  }

  public TipoLinkPartecipa getLink() {
    return link;
  }

  public static void inserisci(TipoLinkPartecipa l) {
    if (l != null && l.getCiclista().quantiPartecipa() == 0) {
      ManagerPartecipa m = new ManagerPartecipa(l);
      l.getGara().inserisciPerManagerPartecipa(m);
      l.getCiclista().inserisciPerManagerPartecipa(m);
    }
  }

  public static void elimina(TipoLinkPartecipa l) {
    if (l != null) {
      ManagerPartecipa m = new ManagerPartecipa(l);
      l.getGara().eliminaPerManagerPartecipa(m);
      l.getCiclista().eliminaPerManagerPartecipa(m);
    }
  }

}
